Bug 1133830 - Does not import gpg keys
Does not import gpg keys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-26 04:50 EDT by Ankur Sinha (FranciscoD)
Modified: 2015-10-13 02:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-0.6.2 dnf-0.6.4-7.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 02:53:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2014-08-26 04:50:15 EDT
Description of problem:
[asinha@localhost  ~]$ sudo dnf install mock-rpmfusion-free mock-rpmfusion-nonfree
timer: config: 7 ms
cachedir: /var/cache/dnf/x86_64/21
Loaded plugins: kickstart, builddep, copr, playground, generate_completion_cache, download, Query, protected_packages, noroot, debuginfo-install
DNF version: 0.6.0
Command: dnf install mock-rpmfusion-free mock-rpmfusion-nonfree
Installroot: /
Releasever: 21
Base command: install
Extra commands: [u'mock-rpmfusion-free', u'mock-rpmfusion-nonfree']
repo: using cache for: updates-testing
not found updateinfo for: Fedora 21 - x86_64 - Test Updates
repo: using cache for: ralph-taskd
not found deltainfo for: Copr repo for taskd owned by ralph
not found updateinfo for: Copr repo for taskd owned by ralph
repo: using cache for: fedora
not found deltainfo for: Fedora 21 - x86_64
not found updateinfo for: Fedora 21 - x86_64
repo: using cache for: rpmfusion-free-rawhide
not found deltainfo for: RPM Fusion for Fedora Rawhide - Free
not found updateinfo for: RPM Fusion for Fedora Rawhide - Free
repo: using cache for: rpmfusion-nonfree-rawhide
not found deltainfo for: RPM Fusion for Fedora Rawhide - Nonfree
not found updateinfo for: RPM Fusion for Fedora Rawhide - Nonfree
repo: using cache for: dnf-nightlies
not found deltainfo for: DNF nightlies for 21 - x86_64
not found updateinfo for: DNF nightlies for 21 - x86_64
repo: using cache for: fedora-rawhide-kernel-nodebug
not found deltainfo for: Rawhide kernels built without debugging turned on
not found updateinfo for: Rawhide kernels built without debugging turned on
repo: using cache for: updates
not found updateinfo for: Fedora 21 - x86_64 - Updates
repo: using cache for: ankursinha-anka-coder-fonts
not found deltainfo for: Copr repo for anka-coder-fonts owned by ankursinha
not found updateinfo for: Copr repo for anka-coder-fonts owned by ankursinha
timer: sack setup: 198 ms
--> Starting dependency resolution
---> Package mock-rpmfusion-free.noarch 20.1-1.fc21 will be installed
---> Package mock-rpmfusion-nonfree.noarch 20.1-1.fc21 will be installed
--> Finished dependency resolution
timer: depsolve: 26 ms
Dependencies resolved.
========================================================================================================================================================================
 Package                                       Arch                          Version                             Repository                                        Size
========================================================================================================================================================================
Installing:
 mock-rpmfusion-free                           noarch                        20.1-1.fc21                         rpmfusion-free-rawhide                            17 k
 mock-rpmfusion-nonfree                        noarch                        20.1-1.fc21                         rpmfusion-nonfree-rawhide                         19 k

Transaction Summary
========================================================================================================================================================================
Install  2 Packages

Total size: 36 k
Installed size: 327 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] mock-rpmfusion-free-20.1-1.fc21.noarch.rpm: Already downloaded
[SKIPPED] mock-rpmfusion-nonfree-20.1-1.fc21.noarch.rpm: Already downloaded
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                   3.5 MB/s |  36 kB     00:00
warning: /var/cache/dnf/x86_64/21/rpmfusion-nonfree-rawhide/packages/mock-rpmfusion-nonfree-20.1-1.fc21.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID a668b376: NOKEY
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest (0xB5F29883) is already installed
Importing GPG key 0xA668B376:
 Userid     : "RPM Fusion nonfree repository for Fedora (21) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: E160 058E F06F A4C3 C15D 0F86 0174 46D1 A668 B376
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide
Is this ok [y/N]: y
Cleaning up.
Error: Key import failed (code 2)


 Failing package is: mock-rpmfusion-nonfree-20.1-1.fc21.noarch
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest, file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide


Version-Release number of selected component (if applicable):
[asinha@localhost  ~]$ dnf --version
0.6.0
  Installed: dnf-0:0.6.0-99.1125.20140825git031f95b.fc21.noarch at 2014-08-25 16:00
  Built    :  at 2014-08-25 13:47

  Installed: rpm-0:4.12.0-0.beta1.5.fc21.x86_64 at 2014-08-24 11:49
  Built    : Fedora Project at 2014-08-20 12:30
[asinha@localhost  ~]$

How reproducible:
Only ran it once, so that one time

Steps to Reproduce:
1. install the rpmfusion repos for f21
2. sudo dnf install mock-rpmfusion-free mock-rpmfusion-nonfree
3.

Actual results:
Fails to install

Expected results:
Should install just fine.


Additional info:
Works just fine with yum:
[asinha@localhost  ~]$ sudo yum install mock-rpmfusion-free mock-rpmfusion-nonfree
Loaded plugins: auto-update-debuginfo, langpacks
ankursinha-anka-coder-fonts                                                                                                                      | 3.0 kB  00:00:00
fedora/21/x86_64/metalink                                                                                                                        |  29 kB  00:00:00
fedora-rawhide-kernel-nodebug                                                                                                                    | 2.9 kB  00:00:00
fedora-rawhide-kernel-nodebug-debuginfo                                                                                                          | 2.9 kB  00:00:00
ralph-taskd                                                                                                                                      | 3.0 kB  00:00:00
rpmfusion-free-rawhide                                                                                                                           | 3.3 kB  00:00:00
rpmfusion-free-rawhide-debuginfo                                                                                                                 | 2.7 kB  00:00:00
rpmfusion-nonfree-rawhide                                                                                                                        | 3.3 kB  00:00:00
rpmfusion-nonfree-rawhide-debuginfo                                                                                                              | 2.7 kB  00:00:00
updates/21/x86_64/metalink                                                                                                                       | 3.2 kB  00:00:00
updates-debuginfo/21/x86_64/metalink                                                                                                             | 3.2 kB  00:00:00
updates-testing/21/x86_64/metalink                                                                                                               | 2.5 kB  00:00:00
updates-testing-debuginfo/21/x86_64/metalink                                                                                                     | 2.5 kB  00:00:00
dnf-nightlies                                                                                                                                    | 2.9 kB  00:00:00
Resolving Dependencies
--> Running transaction check
---> Package mock-rpmfusion-free.noarch 0:20.1-1.fc21 will be installed
---> Package mock-rpmfusion-nonfree.noarch 0:20.1-1.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                       Arch                          Version                             Repository                                        Size
========================================================================================================================================================================
Installing:
 mock-rpmfusion-free                           noarch                        20.1-1.fc21                         rpmfusion-free-rawhide                            17 k
 mock-rpmfusion-nonfree                        noarch                        20.1-1.fc21                         rpmfusion-nonfree-rawhide                         19 k

Transaction Summary
========================================================================================================================================================================
Install  2 Packages

Total download size: 36 k
Installed size: 327 k
Is this ok [y/d/N]: y
Downloading packages:
warning: /var/cache/yum/x86_64/21/rpmfusion-nonfree-rawhide/packages/mock-rpmfusion-nonfree-20.1-1.fc21.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID a668b376: NOKEY
Public key for mock-rpmfusion-nonfree-20.1-1.fc21.noarch.rpm is not installed
(1/2): mock-rpmfusion-nonfree-20.1-1.fc21.noarch.rpm                                                                                             |  19 kB  00:00:01
(2/2): mock-rpmfusion-free-20.1-1.fc21.noarch.rpm                                                                                                |  17 kB  00:00:01
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                    23 kB/s |  36 kB  00:00:01
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide
Importing GPG key 0xA668B376:
 Userid     : "RPM Fusion nonfree repository for Fedora (21) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: e160 058e f06f a4c3 c15d 0f86 0174 46d1 a668 b376
 Package    : rpmfusion-nonfree-release-21-0.1.noarch (installed)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide
Is this ok [y/N]: y
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction (shutdown inhibited)
Warning: RPMDB altered outside of yum.
  Installing : mock-rpmfusion-nonfree-20.1-1.fc21.noarch                                                                                                            1/2
  Installing : mock-rpmfusion-free-20.1-1.fc21.noarch                                                                                                               2/2
  Verifying  : mock-rpmfusion-free-20.1-1.fc21.noarch                                                                                                               1/2
  Verifying  : mock-rpmfusion-nonfree-20.1-1.fc21.noarch                                                                                                            2/2

Installed:
  mock-rpmfusion-free.noarch 0:20.1-1.fc21                                          mock-rpmfusion-nonfree.noarch 0:20.1-1.fc21

Complete!
[asinha@localhost  ~]$
Comment 1 Ales Kozumplik 2014-08-26 05:00:59 EDT
Ankur, I did a lot of changes to the crypto code in the last few days, see bug 1118236. Can you please retest with dnf-0.6.1 once that is out? Thanks.
Comment 2 Ankur Sinha (FranciscoD) 2014-08-26 05:42:24 EDT
Sure thing.
Comment 3 Ankur Sinha (FranciscoD) 2014-08-28 12:50:19 EDT
Ales, My system just got the 0.6.1 update.

How would I test this? Remove the rpmfusion repo packages and reinstall them?
Comment 4 Ales Kozumplik 2014-09-01 04:52:31 EDT
Ankur,

comment 0 shows that the key was imported by yum. So to try to reproduce the issue, it needs to be removed first:

sudo rpm -e gpg-pubkey-a668b376

and then try to install/update anything from the rpmfusion-nonfree-rawhide repo.

Thanks!
Comment 5 Ankur Sinha (FranciscoD) 2014-09-01 05:04:41 EDT
(In reply to Ales Kozumplik from comment #4)
> Ankur,
> 
> comment 0 shows that the key was imported by yum. So to try to reproduce the
> issue, it needs to be removed first:
> 
> sudo rpm -e gpg-pubkey-a668b376
> 
> and then try to install/update anything from the rpmfusion-nonfree-rawhide
> repo.
> 
> Thanks!

Hi Ales,

Thanks for the steps. I removed *all* my keys just to be sure and then dnf still erred out when trying to import the keys:


----------------------------------------------------------------------------

[asinha@localhost  ~]$ rpm -qa gpg-pubkey*
[asinha@localhost  ~]$ sudo dnf install mari0
timer: config: 6 ms
cachedir: /var/cache/dnf/x86_64/21
Loaded plugins: kickstart, builddep, copr, playground, generate_completion_cache, download, Query, protected_packages, noroot, debuginfo-install
DNF version: 0.6.1
Command: dnf install mari0
Installroot: /
Releasever: 21
Base command: install
Extra commands: [u'mari0']
repo: using cache for: updates-testing
repo: using cache for: ralph-taskd
not found deltainfo for: Copr repo for taskd owned by ralph
not found updateinfo for: Copr repo for taskd owned by ralph
repo: using cache for: fedora
not found deltainfo for: Fedora 21 - x86_64
not found updateinfo for: Fedora 21 - x86_64
repo: using cache for: rpmfusion-free-rawhide
not found deltainfo for: RPM Fusion for Fedora Rawhide - Free
not found updateinfo for: RPM Fusion for Fedora Rawhide - Free
repo: using cache for: rpmfusion-nonfree-rawhide
not found deltainfo for: RPM Fusion for Fedora Rawhide - Nonfree
not found updateinfo for: RPM Fusion for Fedora Rawhide - Nonfree
repo: downloading from remote: dnf-nightlies, _Handle: metalnk: None, mlist: None, urls [u'http://jenkins.cloud.fedoraproject.org/job/DNF/lastSuccessfulBuild/artifact/fedora-21-x86_64-build/'].
Failed to synchronize cache for repo 'dnf-nightlies' from 'http://jenkins.cloud.fedoraproject.org/job/DNF/lastSuccessfulBuild/artifact/fedora-21-x86_64-build/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
repo: using cache for: fedora-rawhide-kernel-nodebug
not found deltainfo for: Rawhide kernels built without debugging turned on
not found updateinfo for: Rawhide kernels built without debugging turned on
repo: using cache for: updates
not found updateinfo for: Fedora 21 - x86_64 - Updates
repo: using cache for: ankursinha-anka-coder-fonts
not found deltainfo for: Copr repo for anka-coder-fonts owned by ankursinha
not found updateinfo for: Copr repo for anka-coder-fonts owned by ankursinha
timer: sack setup: 849 ms
--> Starting dependency resolution
---> Package mari0.noarch 1.6-3.fc19 will be installed
---> Package love.x86_64 0.9.0-5.fc21 will be installed
---> Package DevIL.x86_64 1.7.8-20.fc21 will be installed
---> Package liblove.x86_64 0.9.0-5.fc21 will be installed
---> Package luajit.x86_64 2.0.3-3.fc21 will be installed
---> Package physfs.x86_64 2.0.3-4.fc21 will be installed
---> Package lzma-sdk457.x86_64 4.57-8.fc21 will be installed
--> Finished dependency resolution
timer: depsolve: 465 ms
Dependencies resolved.
========================================================================================================================================================================
 Package                              Arch                            Version                                  Repository                                          Size
========================================================================================================================================================================
Installing:
 DevIL                                x86_64                          1.7.8-20.fc21                            fedora                                             264 k
 liblove                              x86_64                          0.9.0-5.fc21                             fedora                                             784 k
 love                                 x86_64                          0.9.0-5.fc21                             fedora                                              46 k
 luajit                               x86_64                          2.0.3-3.fc21                             fedora                                             344 k
 lzma-sdk457                          x86_64                          4.57-8.fc21                              fedora                                              97 k
 mari0                                noarch                          1.6-3.fc19                               rpmfusion-nonfree-rawhide                          3.4 M
 physfs                               x86_64                          2.0.3-4.fc21                             fedora                                              57 k

Transaction Summary
========================================================================================================================================================================
Install  7 Packages

Total size: 5.0 M
Total download size: 5.0 M
Installed size: 8.8 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] love-0.9.0-5.fc21.x86_64.rpm: Already downloaded
(2/7): DevIL-1.7.8-20.fc21.x86_64.rpm                                                                                                   205 kB/s | 264 kB     00:01
(3/7): luajit-2.0.3-3.fc21.x86_64.rpm                                                                                                    77 kB/s | 344 kB     00:04
(4/7): physfs-2.0.3-4.fc21.x86_64.rpm                                                                                                   208 kB/s |  57 kB     00:00
(5/7): lzma-sdk457-4.57-8.fc21.x86_64.rpm                                                                                               250 kB/s |  97 kB     00:00
(6/7): mari0-1.6-3.fc19.noarch.rpm                                                                                                      309 kB/s | 3.4 MB     00:11
(7/7): liblove-0.9.0-5.fc21.x86_64.rpm                                                                                                   55 kB/s | 784 kB     00:14
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                   307 kB/s | 5.0 MB     00:16
warning: /var/cache/dnf/x86_64/21/rpmfusion-nonfree-rawhide/packages/mari0-1.6-3.fc19.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID b5f29883: NOKEY
Importing GPG key 0xB5F29883:
 Userid     : "RPM Fusion nonfree repository for Fedora (20) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: A84D CF58 46CB 10B6 5C47 6C35 63C0 DE8C B5F2 9883
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest
Is this ok [y/N]: y
Key imported successfully
Importing GPG key 0xA668B376:
 Userid     : "RPM Fusion nonfree repository for Fedora (21) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: E160 058E F06F A4C3 C15D 0F86 0174 46D1 A668 B376
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide
Is this ok [y/N]: y
Cleaning up.
Error: Key import failed (code 2)


 Failing package is: mari0-1.6-3.fc19.noarch
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest, file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide

[asinha@localhost  ~]$ sudo dnf --version
0.6.1
  Installed: dnf-0:0.6.1-99.1134.20140828git883a271.fc21.noarch at 2014-08-28 16:45
  Built    :  at 2014-08-28 14:27

  Installed: rpm-0:4.12.0-0.rc1.1.fc21.x86_64 at 2014-08-28 16:45
  Built    : Fedora Project at 2014-08-27 07:44


Thanks,
Warm regards,
Ankur
Comment 6 Ales Kozumplik 2014-09-01 05:12:57 EDT
Looking.
Comment 7 Ankur Sinha (FranciscoD) 2014-09-02 00:22:00 EDT
Ales,

I ran an update and it imported the Fedora key just fine:

$ dnf update
..
...
warning: /var/cache/dnf/x86_64/21/updates-testing/packages/NetworkManager-0.9.10.0-5.git20140704.fc21.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 95a43f54: NOKEY
Importing GPG key 0x95A43F54:
 Userid     : "Fedora (21) <fedora@fedoraproject.org>"
 Fingerprint: 6596 B8FB ABDA 5227 A9C5 B59E 89AD 4E87 95A4 3F54
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-21-x86_64

It didn't install the rpmfusion key, though:

$ dnf install mari0
...
....
warning: /var/cache/dnf/x86_64/21/rpmfusion-nonfree-rawhide/packages/mari0-1.6-3.fc19.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID b5f29883: NOKEY
Importing GPG key 0xB5F29883:
 Userid     : "RPM Fusion nonfree repository for Fedora (20) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: A84D CF58 46CB 10B6 5C47 6C35 63C0 DE8C B5F2 9883
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest
Is this ok [y/N]: y
Key imported successfully
Importing GPG key 0xA668B376:
 Userid     : "RPM Fusion nonfree repository for Fedora (21) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: E160 058E F06F A4C3 C15D 0F86 0174 46D1 A668 B376
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide
Is this ok [y/N]: y
Cleaning up.
Error: Key import failed (code 2)


 Failing package is: mari0-1.6-3.fc19.noarch
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-latest, file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-rawhide


[asinha@localhost  ~]$ dnf --version
0.6.1
  Installed: dnf-0:0.6.1-99.1134.20140828git883a271.fc21.noarch at 2014-08-28 16:45
  Built    :  at 2014-08-28 14:27

  Installed: rpm-0:4.12.0-0.rc1.1.fc21.x86_64 at 2014-08-28 16:45
  Built    : Fedora Project at 2014-08-27 07:44
[asinha@localhost  ~]$

Looks like it's an issue limited to rpmfusion. Not sure why, though.
Comment 8 Ales Kozumplik 2014-09-02 02:30:10 EDT
rpmfusion key imports fixed on master by 3e989ab. Thank you for helping in reporting and debugging this.
Comment 9 Ankur Sinha (FranciscoD) 2014-09-02 06:21:27 EDT
I'll verify the fix when 0.6.2 is available, as usual. Thanks again for the quick fix Ales. :)
Comment 10 Fedora Update System 2014-10-05 13:42:08 EDT
dnf-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.2-1.fc21
Comment 11 Fedora Update System 2015-08-28 14:53:57 EDT
dnf-0.6.4-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14323
Comment 12 Fedora Update System 2015-09-29 07:19:47 EDT
dnf-0.6.4-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b
Comment 13 Fedora Update System 2015-10-02 14:52:31 EDT
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b
Comment 14 Fedora Update System 2015-10-13 02:52:28 EDT
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.